/*
 * Initialisation of application-specific display configuration. This requires
 * the prior definition of various display properties.
 *
 * Copyright (C) 2018 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DISPLAY_CONFIG_H__
#define __DISPLAY_CONFIG_H__

#include "display.h"
#include "vga.h"

/* Define a structure containing the display parameters. */

display_config_t display_config = {

    /* Define display properties. */

    .scanlines = SCANLINES,
    .cell_size = CELL_SIZE,
    .transfer_cell_size = TRANSFER_CELL_SIZE,

    /* Define display region properties. */

    .hfreq_limit = HFREQ_LIMIT,
    .hsync_start = HSYNC_START,
    .hsync_end = HSYNC_END,
    .visible_start = VISIBLE_START,
    .vfp_start = VFP_START,
    .vsync_start = VSYNC_START,
    .vsync_end = VSYNC_END,

    };

#endif /* __DISPLAY_CONFIG_H__ */
